Acekard 2i suddenly not working

Discussion in 'Acekard' started by thecyanaura, Oct 30, 2011.

Oct 30, 2011
  1. thecyanaura
    OP

    Newcomer thecyanaura Advanced Member

    Joined:
    Dec 16, 2008
    Messages:
    51
    Country:
    United States
    I recently updated my son's DSi to 1.4 and updated his Acekard 2i in order to work with the new DS firmware. Everything has worked fine up until today when the card suddenly stopped working correctly. He said that he tried to play a game that he says I deleted. He ended up with a white screen and once he reset the DS, the card did not work any longer.
    '
    The DS reads the card, but no game icon shows up in the box that it should. When you click on the box to load the game, it gives the "An error has occurred.
    Press and hold the POWER/..." message. I know that this is the message that is given when the Acekard did not have the firmware to work with 1.4.

    I had left the Acekard firmware update on the SD card, do you think he may have found that file through AIAIO menu and started to update the Acekard? If that's the case, he probably reset it halfway through, causing the card to brick.

    So I'm going to try to borrow a Ds Lite/DSi 1.3 or a Phat and see if it will read the card and let me update the FW. Otherwise, I assume I need to buy a new card. Does anyone have any suggestions beyond this?

    Thanks!
     
  2. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    Try swapping your card and reflash it to the current firmware in order to un-brick your ak2i.

    1) Things you'll need: another flashcart (that's working fine), the correct updater (just use the one you have), and a ds lite/phat or a dsi/3ds that your other cart works on.
    2) Load your flashcart and boot up the updater. (Don't press anything yet)
    3) The updater will give you an option to swap your cart; without turning the power off, exchange your cart with the bricked ak2i
    4) Run the updater and do as prompted
    5) after update process is done, don't touch anything and turn the power off.
     
  3. thecyanaura
    OP

    Newcomer thecyanaura Advanced Member

    Joined:
    Dec 16, 2008
    Messages:
    51
    Country:
    United States
    Thank you very much for your help. I've got to buy a couple more Acekards for bday presents anyway, so I'll do this in order to fix mine. Will this work on my current 1.4 DS if I buy a preupdated Acekard?
     
  4. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    Probably will, since the newer batches of ak2i's (which are labled with "DSi (XL) & 3DS Compatible" in blue under the ak2i logo) are already updated to work on 1.4 dsi and 1.0 3ds firmwares.
     
  5. eggsample

    Member eggsample punahussy

    Joined:
    Mar 29, 2010
    Messages:
    529
    Country:
    Poland
    DSL and Phat allows swapping cards and DSi do not.
    If DSL reads this not updated AK2i than upgrede it. If not you defo need DSL to run updater from any other card (acekard, r4, etc) and by swapping to non working card and start upgrade process.
     

Share This Page